## Index

### Enumerations

- Size
- Style

### Classes

- ButtonImpl

### Interfaces

- ButtonOwnProps
- InjectSheetProps

### Type aliases

- ButtonProps

### Variables

- Button

### Functions

- isRenderingIcon
- styles

## Type aliases

### ButtonProps

ButtonProps: ButtonOwnProps & HTMLProps<HTMLButtonElement>

- Defined in components/Button/index.tsx:25

## Variables

### Const Button

Button: ComponentClass<ButtonOwnProps & HTMLProps<HTMLButtonElement>, any> | StatelessComponent<ButtonOwnProps & HTMLProps<HTMLButtonElement>> = injectSheet(styles)(ButtonImpl) as unknown as React.ComponentType<ButtonProps>

- Defined in components/Button/index.tsx:187

## Functions

### Const isRenderingIcon

- isRenderingIcon(props: ButtonProps): boolean

- - Defined in components/Button/index.tsx:177

  #### Parameters

  - ##### props: ButtonProps

  #### Returns boolean

### Const styles

- styles(theme: ThemeTypes): object

- - Defined in components/Button/index.tsx:27

  #### Parameters

  - ##### theme: ThemeTypes

  #### Returns object

Generated using TypeDoc